package com.rjconsultores.ventaboletos.enums;

/**
 * Enum que contém os tipos de operações
 * @author Fabio F Barreto
 *
 */
public enum StatusRecargaEnum {
	
	AUTORIZADA ("authorized"),
	CONFIRMADA ("captured"),
	CANCELADA ("canceled"),
	NEGADA ("denied"),
	ESTORNADA ("refunded");
	
	private String codigo;
	
	
	private StatusRecargaEnum(String codigo) {		
		this.codigo = codigo;
	}
	
	public String getCodigo() {
		return codigo;
	}

	@Override
	public String toString() {
		return getCodigo();
	}
	
	public static StatusRecargaEnum buscarPorCodigo(String valor) {
		for (StatusRecargaEnum status : StatusRecargaEnum.values()) {
			if (status.getCodigo().equalsIgnoreCase(valor)) {
				return status;
			}
		}
		return null;
	}

}
